org.apache.commons.imaging.formats.tiff

## Class TiffReader

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.formats.tiff.TiffReader

-     public class TiffReader
      extends BinaryFileParser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TiffReader.Listener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TiffReader(boolean strict)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `read(ByteSource byteSource, Map<String,Object> params, FormatCompliance formatCompliance, TiffReader.Listener listener)`
    `TiffContents` | `readContents(ByteSource byteSource, Map<String,Object> params, FormatCompliance formatCompliance)`
    `TiffContents` | `readDirectories(ByteSource byteSource, boolean readImageData, FormatCompliance formatCompliance)`
    `TiffContents` | `readFirstDirectory(ByteSource byteSource, Map<String,Object> params, boolean readImageData, FormatCompliance formatCompliance)`

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TiffReader

          public TiffReader(boolean strict)

  - ### Method Detail

    - #### readFirstDirectory

          public TiffContents readFirstDirectory(ByteSource byteSource,
                                                 Map<String,Object> params,
                                                 boolean readImageData,
                                                 FormatCompliance formatCompliance)
                                          throws ImageReadException,
                                                 IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### readDirectories

          public TiffContents readDirectories(ByteSource byteSource,
                                              boolean readImageData,
                                              FormatCompliance formatCompliance)
                                       throws ImageReadException,
                                              IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### readContents

          public TiffContents readContents(ByteSource byteSource,
                                           Map<String,Object> params,
                                           FormatCompliance formatCompliance)
                                    throws ImageReadException,
                                           IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### read

          public void read(ByteSource byteSource,
                           Map<String,Object> params,
                           FormatCompliance formatCompliance,
                           TiffReader.Listener listener)
                    throws ImageReadException,
                           IOException

      Throws:
        `ImageReadException`
        `IOException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.